Subject: Re: [PATCH v1] ARM: socfpga: Fix OF node refcount leak in SMP setup

From: Dinh Nguyen <[email-masked]>
Date: Tue, 26 May 2026 09:54:47 -0500

Hi Yuho,

On 5/24/26 21:47, Yuho Choi wrote:
> socfpga_smp_prepare_cpus() looks up the Cortex-A9 SCU node with
> of_find_compatible_node(), which returns a node reference that must be
> released with of_node_put().
> 
> The function maps the SCU registers and then returns without dropping
> that reference, leaking the node on both the success path and the
> of_iomap() failure path.
> 
> Drop the reference once the mapping attempt is complete. The returned
> MMIO mapping does not depend on keeping the device node reference held.
> 
> Fixes: 122694a0c712 ("ARM: socfpga: use of_iomap to map the SCU")
> Signed-off-by: Yuho Choi <[email-masked]>

I'll add "Cc: [email-masked]" here, but please remember to add 
this for future patches that have the Fixes tag.

Thanks,

Dinh